<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/sound_art_postprocessing.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
if ( $requestName=="CREATE" /*|| $xml->nodeName($current_path)=="UPDATE"*/){
	$suppl_info.='AlbumID="'.$values['AlbumID'].'"';
}
if ( $requestName=="CREATE" || $requestName=="UPDATE"){
	// ajouter categorie KUR(30) et BAB(29) sur les dependances de ce type
	
	$babs = $xml->match($firstNodePath."/DEPENDENCIES/DEPENDENCY[@type='sound_artBabbeleer']/CONTACT");
	$kurs = $xml->match($firstNodePath."/DEPENDENCIES/DEPENDENCY[@type='sound_artKurieuzeneus']/CONTACT");
	foreach($babs as $babs_path){
		$babID = $xml->getData($babs_path."/@ID");
		if($babID){
			$bab_categ_insert = "INSERT INTO `categorylinks` ( `CategoryID` , `ModuleTargetID` , `TargetID` ) VALUES ('29', '1', '$babID');";
			$db_conn->Execute($bab_categ_insert);
		}
	}
	foreach($kurs as $kurs_path){
		$kurID = $xml->getData($kurs_path."/@ID");
		if($kurID){
			$kur_categ_insert = "INSERT INTO `categorylinks` ( `CategoryID` , `ModuleTargetID` , `TargetID` ) VALUES ('30', '1', '$kurID');";
			$db_conn->Execute($kur_categ_insert);
		}
	}
}
return TRUE;
?>
